<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Page Simple</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="../../index3.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Contact</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                    aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <!-- Messages Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-comments"></i>
                        <span class="badge badge-danger navbar-badge">3</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user1-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 mr-3 img-circle">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Brad Diesel
                                        <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">Call me whenever you can...</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user8-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        John Pierce
                                        <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">I got your message bro</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user3-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Nora Silvester
                                        <span class="float-right text-sm text-warning"><i
                                                class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">The subject goes here</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
                    </div>
                </li>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-bell"></i>
                        <span class="badge badge-warning navbar-badge">15</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header">15 Notifications</span>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-envelope mr-2"></i> 4 new messages
                            <span class="float-right text-muted text-sm">3 mins</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-users mr-2"></i> 8 friend requests
                            <span class="float-right text-muted text-sm">12 hours</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-file mr-2"></i> 3 new reports
                            <span class="float-right text-muted text-sm">2 days</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                        <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="../../index3.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">Tấn Lộc</a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                <div class="form-inline">
                    <div class="input-group" data-widget="sidebar-search">
                        <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                            aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-sidebar">
                                <i class="fas fa-search fa-fw"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link act active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="ComboMenu.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>ComboMenu</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Drink.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Drink</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="UserOrder.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>UserOrder</p>
                                    </a>
                                </li>
                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Blank Page</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Blank Page</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="row">
                    <button id="btn-add" class="btn btn-success mb-3">Add User</button>
                </div>
                <table id="table-user" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>STT</th>

                            <th>fullName</th>
                            <th>email</th>
                            <th>phone</th>
                            <th>address</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
                <div id="modal-user" class="modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title">User Detail</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <label class="mb-2" for="">FullName</label>
                                <input id="inp-name" type="text" class="form-control mb-2">
                                <label class="mb-2" for="">Email</label>
                                <input id="inp-email" type="text" class="form-control mb-2">
                                <label class="mb-2" for="">Phone</label>
                                <input id="inp-phone" type="text" class="form-control mb-2">
                                <label class="mb-2" for="">Address</label>
                                <input id="inp-address" type="text" class="form-control mb-2">
                                <label class="mb-2" for="">OrderCode</label>
                                <select name="" id="select-order" class="form-control"></select>
                                <label class="mb-2" for="">created_at</label>
                                <input id="inp-create" type="text" class="form-control mb-2">
                                <label class="mb-2" for="">update_at</label>
                                <input id="inp-update" type="text" class="form-control mb-2">
                                <label class="mb-2" for="">PizzaType</label>
                                <select name="" id="select-type" class="form-control"></select>
                                <label class="mb-2" for="">PizzaSize</label>
                                <select name="" id="select-size" class="form-control"></select>
                                <label class="mb-2" for="">VoucherCode</label>
                                <select name="" id="select-voucher" class="form-control"></select>
                                <label class="mb-2" for="">Price</label>
                                <select name="" id="select-price" class="form-control"></select>
                                <label class="mb-2" for="">paid</label>
                                <select name="" id="select-paid" class="form-control"></select>

                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-primary">Save changes</button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <footer class="main-footer">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> 3.2.0
            </div>
            <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
            reserved.
        </footer>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- AdminLTE App -->
    <script src="plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>

    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>
    <script>
        const gCOL_NAME = ["stt", "fullName", "email", "phone", "address", "action"];
        var gSTT = 1;
        const gBASE_USER = "http://localhost:8080/userorder/user/";
        $(document).ready(function () {
            loadTable();
            fillDataApi();
            $("#table-user").on("click", ".btn-detail", function () {
                $("#modal-user").modal('show');
                var gData = getDataRowTable(this);
                console.log(gData);
                $("#select-order").html("")
                $("#select-size").html("")
                $("#select-type").html("")
                $("#select-voucher").html("")
                $("#select-price").html("")
                $("#select-paid").html("")
                onBtnDetail(gData);

            })

            $("#table-user").on("click", ".btn-update", function () {
                var vDataId = getDataRowTable(this).id;
                onBtnUpdateUser(vDataId);
            })
            $("#btn-add").on("click", function () {
                onBtnAddUser();
            })
            $("#table-user").on("click", ".btn-delete", function () {
                var vDataId = getDataRowTable(this).id;
                onBtnDelete(vDataId);
            })

        })
        function loadTable() {
            $("#table-user").DataTable({
                columns: [
                    { data: gCOL_NAME[0] },
                    { data: gCOL_NAME[1] },
                    { data: gCOL_NAME[2] },
                    { data: gCOL_NAME[3] },
                    { data: gCOL_NAME[4] },
                    { data: gCOL_NAME[5] },

                ],
                columnDefs: [
                    {
                        targets: 5,
                        defaultContent: '<button class="btn btn-info btn-detail mr-2 mb-2">detail</button>' + '<button class="btn btn-primary btn-update mb-2">update</button>' + '<button class="btn btn-danger btn-delete ml-4">delete</button>'
                    },
                    {
                        targets: 0,
                        render: function () {
                            return gSTT++;
                        }
                    }
                ]
            })
        }
        function onDarwDataTable(paramData) {
            gSTT = 1;
            var vTable = $("#table-user").DataTable();
            vTable.clear();
            vRow = vTable.rows.add(paramData);
            vTable.draw();

        }
        function getDataRowTable(paramElement) {

            var vTable = $("#table-user").DataTable();
            var vRow = $(paramElement).closest("tr");
            var vData = vTable.row(vRow).data();
            return vData;
        }

        function fillDataApi() {
            $.ajax({
                url: gBASE_USER + "all",
                type: "GET",
                success: function (paramRes) {
                    console.log(paramRes);
                    onDarwDataTable(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnAddUser() {
            var vObjUser = {
                fullName: "the zoo",
                phone: "0000000",
                email: "zoo@gmail.com",
                address: "zoo",
                orders: [
                    {
                        orderCode: "Zommbie",
                        price: "123",
                        pizzaSize: "Y",
                        pizzaType: "monkeys"
                    }

                ]


            }
            $.ajax({
                url: gBASE_USER + "create",
                type: "POST",
                data: JSON.stringify(vObjUser),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("Thêm thành công!");
                    location.reload();
                }


            })

        }
        function onBtnUpdateUser(pramId) {
            var vObjUser = {
                fullName: "the zooUpdate",
                phone: "0000000",
                email: "zoo@gmail.com",
                address: "zoo",
                orders: [
                    {
                        orderCode: "Zommbieupdate",
                        price: "123",
                        pizzaSize: "Y",
                        pizzaType: "monkeys"
                    }

                ]
            }
            $.ajax({
                url: gBASE_USER + "update/" + pramId,
                type: "PUT",
                data: JSON.stringify(vObjUser),
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    alert("Update thành công!");
                    location.reload();
                }


            })

        }
        function onBtnDelete(paramId) {
            $.ajax({
                url: gBASE_USER + "delete/" + paramId,
                type: "DELETE",
                success: function (paramRes) {
                    alert("delete success");
                    location.reload();
                }
            })
        }
        function onBtnDetail(paramData) {
            $("#inp-name").val(paramData.fullName);
            $("#inp-email").val(paramData.email);
            $("#inp-phone").val(paramData.phone);
            $("#inp-address").val(paramData.address);
            $("#inp-create").val(paramData.created_at);
            $("#inp-update").val(paramData.updated_at);
            for (var bI = 0; bI < paramData.orders.length; bI++) {

                $("#select-order").append($("<option/>", {

                    text: paramData.orders[bI].orderCode,
                    value: paramData.orders[bI].id,
                }))
                $("#select-type").append($("<option/>", {
                    text: paramData.orders[bI].pizzaType,
                    value: paramData.orders[bI].id,
                }))
                $("#select-size").append($("<option/>", {
                    text: paramData.orders[bI].pizzaSize,
                    value: paramData.orders[bI].id,
                }))
                $("#select-price").append($("<option/>", {
                    text: paramData.orders[bI].price,
                    value: paramData.orders[bI].id,
                }))
                $("#select-paid").append($("<option/>", {
                    text: paramData.orders[bI].paid,
                    value: paramData.orders[bI].id,
                }))
                $("#select-voucher").append($("<option/>", {
                    text: paramData.orders[bI].voucherCode,
                    value: paramData.orders[bI].id,
                }))
            }


        }


    </script>
</body>

</html>